#ifndef IMPLEMENTATIONENDPOINT_H
#define IMPLEMENTATIONENDPOINT_H

#include <Endpoint.h>
#include <SpejsNode.h>
#include <Network/RbootHttpUpdater.h>

class ImplementationEndpoint : public Endpoint {
protected:
    RbootHttpUpdater* otaUpdater = 0;

public:
    // Use empty endpoint type to just keep it unpublished
    ImplementationEndpoint() : Endpoint("") {}

    EndpointResult onValue(String property, String value);
    void otaUpdateCallback(RbootHttpUpdater& updater, bool result);
    void startOTA();
};
#endif
